作者 主題: Could not obtain dvipng version?  (閱讀 10540 次)

0 會員 與 1 訪客 正在閱讀本文。

tsou88

  • 可愛的小學生
  • *
  • 文章數: 2
    • 檢視個人資料
Could not obtain dvipng version?
« 於: 2010-04-27 08:35 »
我按照"A Primer on Scientific Programming with Python"一書中第181頁的例子,在ipython下執行時出現"Could not obtain dvipng version"錯誤訊息。請問原因為何?該如何解決此一錯誤?謝謝!

程式碼:
from scitools.std import *
def f(t):
  return t**2*exp(-t**2)
t = linspace(0, 3, 51) # 51 points between 0 and 3
y = zeros(len(t)) # allocate y with float elements
for i in xrange(len(t)):
  y = f(t)
plot(t, y)

我的作業環境:
Windows 7,
Python 2.6.5,
ipython 0.10,
SciTools 0.7,
pyreadline 1.5,
numpy 1.4.1,
matplotlib 0.99.1
ProTeXt 2.2.1
« 上次編輯: 2010-04-27 15:15 由 tsou88 »

tsou88

  • 可愛的小學生
  • *
  • 文章數: 2
    • 檢視個人資料
回覆: Could not obtain dvipng version?
« 回覆 #1 於: 2010-04-28 15:14 »
安裝ProTeXt 2.2.1並重開機後,就一切正常了。